package cn.wisenergy.web.admin.controller.app;

import cn.wisenergy.common.utils.R;
import cn.wisenergy.service.app.UserService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @ Description   :  用户管理控制类
 * @ Author        :  lcc
 * @ CreateDate    :  2020/11/4 14:39
 */
@RestController
@Api(tags = "用户管理")
@RequestMapping("/user")
@Slf4j
public class UserController {

    @Autowired
    private UserService userService;

    @ApiOperation(value = "获取用户列表", notes = "获取用户列表", httpMethod = "GET")
    @ApiImplicitParam(name = "keyword", value = "keyword关键字", dataType = "String")
    @GetMapping("/getList")
    public R getList(String keyword) {
        log.info("ljfl-service[]UserController[]getList[]input.method");
        return userService.getUserList(keyword);
    }

    @ApiOperation(value = "获取用户名称列表", notes = "获取用户名称列表", httpMethod = "GET")
    @GetMapping("/getNameList")
    public R getNameList() {
        log.info("ljfl-service[]UserController[]getList[]input.method");
        return userService.getUserNameList();
    }

    @ApiOperation(value = "获取用户信息", notes = "获取用户信息", httpMethod = "GET")
    @ApiImplicitParam(name = "keyword", value = "keyword关键字", dataType = "String")
    @GetMapping("/getUser")
    public R getUser(String autoId) {
        log.info("ljfl-service[]UserController[]getList[]input.method");
        return userService.getUserNameList();
    }


}
